package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.ParkingAuthorize;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-10-22 14:04
 */
@Repository
public interface ParkingAuthorizeDAO {
    int insert(ParkingAuthorize entity);
    int update(ParkingAuthorize entity);
    int exist(String id);
    ParkingAuthorize get(String id);
    int delete(String id);
    List<ParkingAuthorize> list();
    List<ParkingAuthorize> search(Map<String, Object> searchParams, List<Sort> sortList);

    ParkingAuthorize findByAuthorizedCompanyId(String companyId);
}
